io.vertx.groovy.ext.mongo

## Class MongoClient_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.mongo.MongoClient_GroovyExtension

-     public class MongoClient_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoClient_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MongoClient` | `count(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Long>> resultHandler)`
    `static MongoClient` | `createIndex(MongoClient j_receiver, String collection, Map<String,Object> key, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `createIndexWithOptions(MongoClient j_receiver, String collection, Map<String,Object> key, Map<String,Object> options, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `distinct(MongoClient j_receiver, String collection, String fieldName, String resultClassname, Handler<AsyncResult<List<Object>>> resultHandler)`
    `static MongoClient` | `distinctBatch(MongoClient j_receiver, String collection, String fieldName, String resultClassname, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `find(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static MongoClient` | `findBatch(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findBatchWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOne(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> fields, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOneAndDelete(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOneAndDeleteWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> findOptions, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOneAndReplace(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> replace, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOneAndReplaceWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> replace, Map<String,Object> findOptions, Map<String,Object> updateOptions, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOneAndUpdate(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> update, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findOneAndUpdateWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> update, Map<String,Object> findOptions, Map<String,Object> updateOptions, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `findWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> options, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static MongoClient` | `insert(MongoClient j_receiver, String collection, Map<String,Object> document, Handler<AsyncResult<String>> resultHandler)`
    `static MongoClient` | `insertWithOptions(MongoClient j_receiver, String collection, Map<String,Object> document, WriteOption writeOption, Handler<AsyncResult<String>> resultHandler)`
    `static MongoClient` | `listIndexes(MongoClient j_receiver, String collection, Handler<AsyncResult<List<Object>>> resultHandler)`
    `static MongoClient` | `remove(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `removeDocument(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `removeDocuments(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `removeDocumentsWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, WriteOption writeOption, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `removeDocumentWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, WriteOption writeOption, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `removeOne(MongoClient j_receiver, String collection, Map<String,Object> query, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `removeOneWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, WriteOption writeOption, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `removeWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, WriteOption writeOption, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `replace(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> replace, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `replaceDocuments(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> replace, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `replaceDocumentsWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> replace, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `replaceWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> replace, Map<String,Object> options, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `runCommand(MongoClient j_receiver, String commandName, Map<String,Object> command, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `save(MongoClient j_receiver, String collection, Map<String,Object> document, Handler<AsyncResult<String>> resultHandler)`
    `static MongoClient` | `saveWithOptions(MongoClient j_receiver, String collection, Map<String,Object> document, WriteOption writeOption, Handler<AsyncResult<String>> resultHandler)`
    `static MongoClient` | `update(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> update, Handler<AsyncResult<Void>> resultHandler)`
    `static MongoClient` | `updateCollection(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> update, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `updateCollectionWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> update, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static MongoClient` | `updateWithOptions(MongoClient j_receiver, String collection, Map<String,Object> query, Map<String,Object> update, Map<String,Object> options, Handler<AsyncResult<Void>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoClient_GroovyExtension

          public MongoClient_GroovyExtension()

  - ### Method Detail

    - #### save

          public static MongoClient save(MongoClient j_receiver,
                                         String collection,
                                         Map<String,Object> document,
                                         Handler<AsyncResult<String>> resultHandler)

    - #### saveWithOptions

          public static MongoClient saveWithOptions(MongoClient j_receiver,
                                                    String collection,
                                                    Map<String,Object> document,
                                                    WriteOption writeOption,
                                                    Handler<AsyncResult<String>> resultHandler)

    - #### insert

          public static MongoClient insert(MongoClient j_receiver,
                                           String collection,
                                           Map<String,Object> document,
                                           Handler<AsyncResult<String>> resultHandler)

    - #### insertWithOptions

          public static MongoClient insertWithOptions(MongoClient j_receiver,
                                                      String collection,
                                                      Map<String,Object> document,
                                                      WriteOption writeOption,
                                                      Handler<AsyncResult<String>> resultHandler)

    - #### update

          public static MongoClient update(MongoClient j_receiver,
                                           String collection,
                                           Map<String,Object> query,
                                           Map<String,Object> update,
                                           Handler<AsyncResult<Void>> resultHandler)

    - #### updateCollection

          public static MongoClient updateCollection(MongoClient j_receiver,
                                                     String collection,
                                                     Map<String,Object> query,
                                                     Map<String,Object> update,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### updateWithOptions

          public static MongoClient updateWithOptions(MongoClient j_receiver,
                                                      String collection,
                                                      Map<String,Object> query,
                                                      Map<String,Object> update,
                                                      Map<String,Object> options,
                                                      Handler<AsyncResult<Void>> resultHandler)

    - #### updateCollectionWithOptions

          public static MongoClient updateCollectionWithOptions(MongoClient j_receiver,
                                                                String collection,
                                                                Map<String,Object> query,
                                                                Map<String,Object> update,
                                                                Map<String,Object> options,
                                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### replace

          public static MongoClient replace(MongoClient j_receiver,
                                            String collection,
                                            Map<String,Object> query,
                                            Map<String,Object> replace,
                                            Handler<AsyncResult<Void>> resultHandler)

    - #### replaceDocuments

          public static MongoClient replaceDocuments(MongoClient j_receiver,
                                                     String collection,
                                                     Map<String,Object> query,
                                                     Map<String,Object> replace,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### replaceWithOptions

          public static MongoClient replaceWithOptions(MongoClient j_receiver,
                                                       String collection,
                                                       Map<String,Object> query,
                                                       Map<String,Object> replace,
                                                       Map<String,Object> options,
                                                       Handler<AsyncResult<Void>> resultHandler)

    - #### replaceDocumentsWithOptions

          public static MongoClient replaceDocumentsWithOptions(MongoClient j_receiver,
                                                                String collection,
                                                                Map<String,Object> query,
                                                                Map<String,Object> replace,
                                                                Map<String,Object> options,
                                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### find

          public static MongoClient find(MongoClient j_receiver,
                                         String collection,
                                         Map<String,Object> query,
                                         Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### findBatch

          public static MongoClient findBatch(MongoClient j_receiver,
                                              String collection,
                                              Map<String,Object> query,
                                              Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findWithOptions

          public static MongoClient findWithOptions(MongoClient j_receiver,
                                                    String collection,
                                                    Map<String,Object> query,
                                                    Map<String,Object> options,
                                                    Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### findBatchWithOptions

          public static MongoClient findBatchWithOptions(MongoClient j_receiver,
                                                         String collection,
                                                         Map<String,Object> query,
                                                         Map<String,Object> options,
                                                         Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOne

          public static MongoClient findOne(MongoClient j_receiver,
                                            String collection,
                                            Map<String,Object> query,
                                            Map<String,Object> fields,
                                            Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOneAndUpdate

          public static MongoClient findOneAndUpdate(MongoClient j_receiver,
                                                     String collection,
                                                     Map<String,Object> query,
                                                     Map<String,Object> update,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOneAndUpdateWithOptions

          public static MongoClient findOneAndUpdateWithOptions(MongoClient j_receiver,
                                                                String collection,
                                                                Map<String,Object> query,
                                                                Map<String,Object> update,
                                                                Map<String,Object> findOptions,
                                                                Map<String,Object> updateOptions,
                                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOneAndReplace

          public static MongoClient findOneAndReplace(MongoClient j_receiver,
                                                      String collection,
                                                      Map<String,Object> query,
                                                      Map<String,Object> replace,
                                                      Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOneAndReplaceWithOptions

          public static MongoClient findOneAndReplaceWithOptions(MongoClient j_receiver,
                                                                 String collection,
                                                                 Map<String,Object> query,
                                                                 Map<String,Object> replace,
                                                                 Map<String,Object> findOptions,
                                                                 Map<String,Object> updateOptions,
                                                                 Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOneAndDelete

          public static MongoClient findOneAndDelete(MongoClient j_receiver,
                                                     String collection,
                                                     Map<String,Object> query,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### findOneAndDeleteWithOptions

          public static MongoClient findOneAndDeleteWithOptions(MongoClient j_receiver,
                                                                String collection,
                                                                Map<String,Object> query,
                                                                Map<String,Object> findOptions,
                                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### count

          public static MongoClient count(MongoClient j_receiver,
                                          String collection,
                                          Map<String,Object> query,
                                          Handler<AsyncResult<Long>> resultHandler)

    - #### remove

          public static MongoClient remove(MongoClient j_receiver,
                                           String collection,
                                           Map<String,Object> query,
                                           Handler<AsyncResult<Void>> resultHandler)

    - #### removeDocuments

          public static MongoClient removeDocuments(MongoClient j_receiver,
                                                    String collection,
                                                    Map<String,Object> query,
                                                    Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### removeWithOptions

          public static MongoClient removeWithOptions(MongoClient j_receiver,
                                                      String collection,
                                                      Map<String,Object> query,
                                                      WriteOption writeOption,
                                                      Handler<AsyncResult<Void>> resultHandler)

    - #### removeDocumentsWithOptions

          public static MongoClient removeDocumentsWithOptions(MongoClient j_receiver,
                                                               String collection,
                                                               Map<String,Object> query,
                                                               WriteOption writeOption,
                                                               Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### removeOne

          public static MongoClient removeOne(MongoClient j_receiver,
                                              String collection,
                                              Map<String,Object> query,
                                              Handler<AsyncResult<Void>> resultHandler)

    - #### removeDocument

          public static MongoClient removeDocument(MongoClient j_receiver,
                                                   String collection,
                                                   Map<String,Object> query,
                                                   Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### removeOneWithOptions

          public static MongoClient removeOneWithOptions(MongoClient j_receiver,
                                                         String collection,
                                                         Map<String,Object> query,
                                                         WriteOption writeOption,
                                                         Handler<AsyncResult<Void>> resultHandler)

    - #### removeDocumentWithOptions

          public static MongoClient removeDocumentWithOptions(MongoClient j_receiver,
                                                              String collection,
                                                              Map<String,Object> query,
                                                              WriteOption writeOption,
                                                              Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### createIndex

          public static MongoClient createIndex(MongoClient j_receiver,
                                                String collection,
                                                Map<String,Object> key,
                                                Handler<AsyncResult<Void>> resultHandler)

    - #### createIndexWithOptions

          public static MongoClient createIndexWithOptions(MongoClient j_receiver,
                                                           String collection,
                                                           Map<String,Object> key,
                                                           Map<String,Object> options,
                                                           Handler<AsyncResult<Void>> resultHandler)

    - #### listIndexes

          public static MongoClient listIndexes(MongoClient j_receiver,
                                                String collection,
                                                Handler<AsyncResult<List<Object>>> resultHandler)

    - #### runCommand

          public static MongoClient runCommand(MongoClient j_receiver,
                                               String commandName,
                                               Map<String,Object> command,
                                               Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### distinct

          public static MongoClient distinct(MongoClient j_receiver,
                                             String collection,
                                             String fieldName,
                                             String resultClassname,
                                             Handler<AsyncResult<List<Object>>> resultHandler)

    - #### distinctBatch

          public static MongoClient distinctBatch(MongoClient j_receiver,
                                                  String collection,
                                                  String fieldName,
                                                  String resultClassname,
                                                  Handler<AsyncResult<Map<String,Object>>> resultHandler)

Copyright © 2017. All rights reserved.